# Google-Mail MCP Server

An MCP Server for the Google-Mail API.

## 🛠️ Tool List

This is automatically generated from OpenAPI schema for the Google-Mail API.

| Tool                           | Description                                                                                                                                                       |
| ------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `send_email`                   | Sends an email using the Gmail API and returns a confirmation or error message.                                                                                   |
| `create_draft`                 | Creates a draft email message in Gmail using the Gmail API and returns a confirmation status.                                                                     |
| `send_draft`                   | Sends an existing draft email using the Gmail API and returns a confirmation message.                                                                             |
| `get_draft`                    | Retrieves and formats a specific draft email from Gmail by its ID                                                                                                 |
| `list_drafts`                  | Retrieves and formats a list of email drafts from the user's Gmail mailbox with optional filtering and pagination.                                                |
| `get_message`                  | Retrieves and formats a specific email message from Gmail API by its ID, including sender, recipient, date, subject, and message preview.                         |
| `list_messages`                | Retrieves and formats a list of messages from the user's Gmail mailbox with optional filtering and pagination support.                                            |
| `list_labels`                  | Retrieves and formats a list of all labels (both system and user-created) from the user's Gmail account, organizing them by type and sorting them alphabetically. |
| `create_label`                 | Creates a new Gmail label with specified visibility settings and returns creation status details.                                                                 |
| `get_profile`                  | Retrieves and formats the user's Gmail profile information including email address, message count, thread count, and history ID.                                  |
| `watch_users`                  | Watch Users                                                                                                                                                       |
| `stop_notifications_for_user`  | Stop Notifications for User                                                                                                                                       |
| `send_drafts`                  | Send Drafts                                                                                                                                                       |
| `get_drafts`                   | Get Drafts                                                                                                                                                        |
| `update_drafts`                | Update Drafts                                                                                                                                                     |
| `delete_drafts`                | Delete Drafts                                                                                                                                                     |
| `create_drafts`                | Create Drafts                                                                                                                                                     |
| `list_history`                 | List History                                                                                                                                                      |
| `trash_messsages`              | Trash Messsages                                                                                                                                                   |
| `untrash_messages`             | Untrash Messages                                                                                                                                                  |
| `modify_messages`              | Modify Messages                                                                                                                                                   |
| `batch_delete`                 | Batch Delete                                                                                                                                                      |
| `import_messages`              | Import Messages                                                                                                                                                   |
| `send_messages`                | Send Messages                                                                                                                                                     |
| `batch_modify`                 | Batch Modify                                                                                                                                                      |
| `insert_messages`              | Insert Messages                                                                                                                                                   |
| `get_messages`                 | Get Messages                                                                                                                                                      |
| `delete_messages`              | Delete Messages                                                                                                                                                   |
| `get_attachments`              | Get Attachments                                                                                                                                                   |
| `create_labels`                | Create Labels                                                                                                                                                     |
| `get_labels`                   | Get Labels                                                                                                                                                        |
| `update_labels`                | Update Labels                                                                                                                                                     |
| `delete_labels`                | Delete Labels                                                                                                                                                     |
| `patch_labels`                 | Patch Labels                                                                                                                                                      |
| `get_threads`                  | Get Threads                                                                                                                                                       |
| `delete_threads`               | Delete Threads                                                                                                                                                    |
| `modify_threads`               | Modify Threads                                                                                                                                                    |
| `trash_threads`                | Trash Threads                                                                                                                                                     |
| `list_threads`                 | List Threads                                                                                                                                                      |
| `get_imap`                     | GET IMAP                                                                                                                                                          |
| `update_imap`                  | Update IMAP                                                                                                                                                       |
| `get_pop_settings`             | Get POP Settings                                                                                                                                                  |
| `update_pop_settings`          | Update POP Settings                                                                                                                                               |
| `get_vacation_settings`        | Get Vacation Settings                                                                                                                                             |
| `update_vacation_settings`     | Update Vacation Settings                                                                                                                                          |
| `get_language_settings`        | Get Language Settings                                                                                                                                             |
| `update_language_settings`     | Update Language Settings                                                                                                                                          |
| `get_auto_forwarding_settings` | Get Auto Forwarding Settings                                                                                                                                      |
| `update_auto_forwarding`       | Update Auto Forwarding                                                                                                                                            |
| `set_default_smime_config`     | Set default S/MIME config                                                                                                                                         |
| `get_send_as_smime_info`       | Get Send As SMIME Info                                                                                                                                            |
| `delete_send_as_smime_info`    | Delete Send As SMIME INfo                                                                                                                                         |
| `list_smime_info`              | List SMIME Info                                                                                                                                                   |
| `insert_smime_info`            | Insert SMIME Info                                                                                                                                                 |
| `verify_send_as`               | Verify Send As                                                                                                                                                    |
| `get_send_as`                  | Get Send As                                                                                                                                                       |
| `update_send_as_setting`       | Update Send As Setting                                                                                                                                            |
| `delete_send_as`               | Delete Send As                                                                                                                                                    |
| `patch_send_as`                | Patch Send As                                                                                                                                                     |
| `get_send_as1`                 | Get Send As                                                                                                                                                       |
| `create_send_as`               | Create Send As                                                                                                                                                    |
| `get_cse_keypairs`             | GET CSE Keypairs                                                                                                                                                  |
| `list_cse_keypairs`            | List CSE Keypairs                                                                                                                                                 |
| `create_cse_keypairs`          | Create CSE Keypairs                                                                                                                                               |
| `list_cse_identites`           | List CSE Identites                                                                                                                                                |
| `create_cse_identites`         | Create CSE Identites                                                                                                                                              |
| `patch_cse_identites`          | PATCH CSE Identites                                                                                                                                               |
| `get_cse_idenetites`           | GET CSE Idenetites                                                                                                                                                |
| `delete_cse_idenities`         | Delete CSE Idenities                                                                                                                                              |
| `get_filters`                  | Get Filters                                                                                                                                                       |
| `delete_filters`               | Delete Filters                                                                                                                                                    |
| `list_filters`                 | List Filters                                                                                                                                                      |
| `create_filters`               | Create Filters                                                                                                                                                    |
| `get_forwarding_addresses`     | Get Forwarding Addresses                                                                                                                                          |
| `delete_forwarding_addresses`  | Delete Forwarding Addresses                                                                                                                                       |
| `list_forwarding_addresses`    | List Forwarding Addresses                                                                                                                                         |
| `create_forwarding_address`    | Create Forwarding Address                                                                                                                                         |
| `get_delegates`                | Get Delegates                                                                                                                                                     |
| `delete_delegates`             | Delete Delegates                                                                                                                                                  |
| `list_delegates`               | List Delegates                                                                                                                                                    |
| `create_delegates`             | Create Delegates                                                                                                                                                  |
